export interface UploadItem extends Record<keyof any, any> {
  // 唯一标识
  key: string | number | symbol
  // 显示的图片地址
  url?: string
  // 文件名称
  name?: string
  // 上传状态
  status?: UploadStatus
  // 上传进度
  progress?: number
  /**  */
  // 上传文件
  file?: File
}

/**
 * 上传状态
 */
export type UploadStatus = 'uploading' | 'success' | 'danger' | null
